Name:           configure-thinkpad
Version:        0.8
Release:        0.fdr.1.1
Epoch:          0
Summary:        Graphical ThinkPad configuration utility

Group:          Applications/System
License:        GPL
URL:            http://tpctl.sourceforge.net/configure-thinkpad.html
Source0:        http://download.sf.net/tpctl/configure-thinkpad-0.8.tar.gz
Patch0:         %{name}-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel >= 0:2, gettext
Requires:       tpctl

%description
configure-thinkpad is a Gnome ThinkPad configuration tool. The purpose
of this tool is to make configuring ThinkPad easier. This GUI
application uses Gnome 2 and is based on tpctl and ntpctl.


%prep
%setup -q
%patch0 -p0


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/configure-thinkpad
%{_datadir}/applications/*configure-thinkpad.desktop
%{_datadir}/pixmaps/configure-thinkpad


%changelog
* Mon Oct  4 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.8-0.fdr.1
- Update to 0.8.

* Wed Sep 22 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7-0.fdr.1
- Update to 0.7.

* Sun Sep 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6-0.fdr.1
- Update to 0.6.

* Sat Sep 11 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5-0.fdr.1
- Update to 0.5.

* Tue Sep  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4-0.fdr.1
- Update to 0.4.
- Disable dependency tracking to speed up the build.

* Tue Jul 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.1
- Update to 0.3.

* Mon Jun  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.2-0.fdr.1
- Update to 0.2.

* Tue Dec  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.1-0.fdr.2
- Move icon under the "System Settings" menu (bug 1033).

* Sun Nov 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.1-0.fdr.1
- First build.
